%define srcname xf86-video-amd
%define _hwdatadir %_datadir/hwdatabase/videoaliases

Name: xorg-x11-drv-amd
Version: 2.7.7.5
Release: alt0.M40.1

Summary: AMD Geode GX and LX Xorg graphics Driver
License: MIT/X11
Group: System/X11
Url: http://xorg.freedesktop.org

Packager: XOrg Maintainer Team <xorg@packages.altlinux.org>

Requires: xorg-x11-server

Source: %srcname-%version.tar.bz2
Source1: xf86-video-amd.xinf

ExclusiveArch: %ix86
BuildRequires: xorg-x11-proto-devel xorg-x11-sdk
BuildRequires: xorg-x11-util-macros

%description
amd  is  an  Xorg driver for Advanced Micro Devicess GEODE processor
family.  It uses the CIMARRON kit provided by Advanced  Micro  Devices.
The  driver  is  accelerated,  and  provides  support for the following
framebuffer depths: 8, 16 and 24.

%def_disable static

%prep
%setup -q -n %srcname-%version

%build
%__autoreconf
%configure \
	--enable-visibility \
	--with-xorg-module-dir=%_x11modulesdir \
	%{subst_enable static}

%make_build

%install
%make DESTDIR=%buildroot install

install -pD -m644 %SOURCE1 %buildroot%_hwdatadir/amd.xinf

%files
%_x11modulesdir/drivers/*.so
%_hwdatadir/amd.xinf

%changelog
* Mon Jan 14 2008 Valery Inozemtsev <shrek@altlinux.ru> 2.7.7.5-alt0.M40.1
- 2.7.7.5

* Sat Jan 05 2008 Valery Inozemtsev <shrek@altlinux.ru> 2.7.7.4-alt1
- 2.7.7.4

* Mon Oct 15 2007 Valery Inozemtsev <shrek@altlinux.ru> 2.7.7.3-alt1
- 2.7.7.3

* Tue Oct 02 2007 Valery Inozemtsev <shrek@altlinux.ru> 2.7.7.2-alt2
- added amd.xinf

* Mon Oct 01 2007 Valery Inozemtsev <shrek@altlinux.ru> 2.7.7.2-alt1
- 2.7.7.2

* Mon Sep 10 2007 Valery Inozemtsev <shrek@altlinux.ru> 2.7.6.5-alt3
- rebuild with xorg-server-1.4

* Mon Jul 23 2007 Valery Inozemtsev <shrek@altlinux.ru> 2.7.6.5-alt2
- GIT snapshot 2007-07-13 (bb0f0afc6c5cf849081a007af0c2d3485e87e9c4)

* Thu Aug 10 2006 Valery Inozemtsev <shrek@altlinux.ru> 2.7.6.5-alt1.git20060807
- GIT snapshot 2006-08-07

* Fri Aug 04 2006 Valery Inozemtsev <shrek@altlinux.ru> 2.7.6.5-alt1
- initial release

